textures/ut_laberinto/playerclip
{
qer_trans 0.30

	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	//surfaceparm nomarks
	surfaceparm trans
}

textures/ut_laberinto/nodraw
{

surfaceparm nodraw
surfaceparm nolightmap
//surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
//surfaceparm detail

}

textures/ut_laberinto/ladderclip
{
qer_trans 0.30

surfaceparm playerclip
surfaceparm noimpact
surfaceparm ladder
surfaceparm nolightmap
surfaceparm nomarks
surfaceparm nodraw
surfaceparm nonsolid
}


textures/ut_LABERINTO/fog
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( .3 .4 .2 ) 500
}

textures/ut_laberinto/metal_gray_nocull
{
	qer_editorimage textures/ut_laberinto/metal_gray
	cull none

	{
		map textures/ut_laberinto/metal_gray.jpg
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}

}

textures/ut_laberinto/sky
{
	qer_editorimage textures/sweetnutz/sn_casa_sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
//	q3map_lightsubdivide 512

	q3map_surfacelight 150
	q3map_lightimage textures/UT_LABERINTO/light_ambient

	q3map_sun .5 .37 .19 70 225 65
	skyparms env/ut_laberinto/med 256 -

}

textures/ut_laberinto/cloth_white
{
	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm nomarks
	surfaceparm noimpact

	qer_editorimage textures/ut_laberinto/cloth_white

        cull none

	{
		map textures/ut_laberinto/cloth_white.jpg
//		alphafunc ge_128
//		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		depthwrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}
}

textures/ut_laberinto/ocean
{
	qer_editorimage textures/ut_laberinto/water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap

	cull disable

	{
		map textures/ut_laberinto/water2.jpg
		//blendfunc gl_one gl_one
		tcMod turb 0 0.01 0 .01
		tcMod scroll -0.03 -0.01
	}
	
	{
		map textures/ut_laberinto/water.jpg
	blendfunc gl_one gl_one
		tcMod turb 0 0.01 0 .01
		tcMod scroll -0.01 -0.03
	}

}


textures/ut_laberinto/water_reflect
{
	qer_editorimage textures/ut_laberinto/water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap

	cull disable

	{
		map textures/ut_laberinto/water.jpg
		blendfunc gl_one gl_one
		tcMod turb 0 0.01 0 .01
		tcMod scroll -0.03 -0.01
	}
	
	{
		map textures/ut_laberinto/water2.jpg
	blendfunc gl_one gl_one
		tcMod turb 0 0.01 0 .01
		tcMod scroll -0.01 -0.03
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/ut_laberinto/flag_dutch
{
	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm nomarks
	surfaceparm noimpact

	qer_editorimage textures/ut_laberinto/flag_dutch

        cull none
	deformVertexes wave 100 triangle 0 8 0.0 0.2	
	{
		map textures/ut_laberinto/flag_dutch.jpg
//		alphafunc ge_128
//		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		depthwrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}

}


textures/ut_laberinto/flag_spanish
{
	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm nomarks
	surfaceparm noimpact

	deformVertexes wave 100 triangle 0 8 0.0 0.2	
	qer_editorimage textures/ut_laberinto/flag_spanish
        cull none

	{
		map textures/ut_laberinto/flag_spanish.jpg
//		alphafunc ge_128
//		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		depthwrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}

}

textures/ut_laberinto/fountain
{

 qer_editorimage textures/ut_laberinto/fount-1.tga

 //q3map_surfacelight 500

	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	cull none

  {
	animmap 5 textures/ut_laberinto/fount-1.tga textures/ut_laberinto/fount-2.tga textures/ut_laberinto/fount-3.tga textures/ut_laberinto/fount-4.tga textures/ut_laberinto/fount-5.tga textures/ut_laberinto/fount-6.tga textures/ut_laberinto/fount-7.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//alphafunc ge128
   }

}

textures/ut_laberinto/fountain3
{

 qer_editorimage textures/ut_laberinto/fount-1.tga

 //q3map_surfacelight 500

	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	cull none

  {
	animmap 5 textures/ut_laberinto/fount-3.tga textures/ut_laberinto/fount-4.tga textures/ut_laberinto/fount-5.tga textures/ut_laberinto/fount-6.tga textures/ut_laberinto/fount-7.tga textures/ut_laberinto/fount-1.tga textures/ut_laberinto/fount-2.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//alphafunc ge128
   }

}

textures/ut_laberinto/fountain4
{

 qer_editorimage textures/ut_laberinto/fount-1.tga

 //q3map_surfacelight 500

	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	cull none

  {
	animmap 5 textures/ut_laberinto/fount-5.tga textures/ut_laberinto/fount-6.tga textures/ut_laberinto/fount-7.tga textures/ut_laberinto/fount-1.tga textures/ut_laberinto/fount-2.tga textures/ut_laberinto/fount-3.tga textures/ut_laberinto/fount-4.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//alphafunc ge128
   }

}

textures/ut_laberinto/fountain2
{

 qer_editorimage textures/ut_laberinto/fount-1.tga

 //q3map_surfacelight 500

	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	cull none

  {
	animmap 5 textures/ut_laberinto/fount-6.tga textures/ut_laberinto/fount-7.tga textures/ut_laberinto/fount-1.tga textures/ut_laberinto/fount-2.tga textures/ut_laberinto/fount-3.tga textures/ut_laberinto/fount-4.tga textures/ut_laberinto/fount-5.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//alphafunc ge128
   }

}
